#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdint.h>
#include <pthread.h>
#include <fcntl.h>
#include "./head/func_extern.h"
#include "./head/mg3.h"
#include "./head/motor.h"
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <string.h>
#include "./head/irs_ts_ws.h"
#include <errno.h>
#include "./head/control.h"

int irs_ts_ws_data;

int main(void){
//	int fd1,fd2,fd4;
	int ret;
	char irs_data[12];

	printf("opening device...\n");
	fd1 = open(M_PORT_L, O_RDWR);
	if(fd1 < 0){
		if(errno == 3) printf("no such file\n");
		else if(errno == 13) printf("permission\n");
		else printf("other\n");
		fprintf(stderr, "fd1 open error\n");
		exit(-1);
	}
	fd2 = open(M_PORT_R, O_RDWR);
	if(fd2 < 0){
		fprintf(stderr, "fd2 open error\n");
		close(fd1);
		exit(-1);
	}
	printf("end\n");

	printf("send start\n");
	motor_send_control_packet(fd1,12,Kp,Ki);
	motor_send_control_packet(fd2,12,Kp,Ki);
	while(1){
        	if(fd4=open("/dev/irs_ts_ws",O_RDONLY) < 0){
        		fprintf(stderr,"Error opening /dev/irs_ts\n");
               		exit(-1);
		}
		ret=read(fd4,irs_data,12);
		if(irs_data[8] == 1 || irs_data[0] == 1){
			motor_send_stop_packet(fd1);
			motor_send_stop_packet(fd2);
			break;
		}
		close(fd4);
	}
	close(fd4);
	printf("finish!!\n");
	return 0;
}
